RDKit: RDKit::RascalMCES::details Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Classes | Functions
RDKit::RascalMCES::details Namespace Reference

## Classes
struct | ClusNode

## Functions
RDKIT_RASCALMCES_EXPORT double | tier1Sim (const RDKit::ROMol &mol1, const RDKit::ROMol &mol2, std::map< int, std::vector< std::pair< int, int > > > &degSeqs1, std::map< int, std::vector< std::pair< int, int > > > &degSeqs2)
RDKIT_RASCALMCES_EXPORT double | tier2Sim (const ROMol &mol1, const ROMol &mol2, const std::map< int, std::vector< std::pair< int, int > > > &degSeqs1, const std::map< int, std::vector< std::pair< int, int > > > &degSeqs2, const std::vector< unsigned int > &bondLabels1, const std::vector< unsigned int > &bondLabels2)
RDKIT_RASCALMCES_EXPORT void | getBondLabels (const RDKit::ROMol &mol1, const RDKit::ROMol &mol2, const RascalOptions &opts, std::vector< unsigned int > &bondLabels1, std::vector< unsigned int > &bondLabels2)
std::vector< std::vector< ClusNode > > | buildProximityGraph (const std::vector< std::shared_ptr< ROMol > > &mols, const RascalClusterOptions &clusOpts)
RDKIT_RASCALMCES_EXPORT bool | resultCompare (const RascalResult &res1, const RascalResult &res2)
RDKIT_RASCALMCES_EXPORT void | extractClique (const std::vector< unsigned int > &clique, const std::vector< std::pair< int, int > > &vtxPairs, bool swapped, std::vector< std::pair< int, int > > &bondMatches)
RDKIT_RASCALMCES_EXPORT void | cleanSmarts (std::string &smarts, const std::string &equivalentAtoms)
RDKIT_RASCALMCES_EXPORT void | printBondMatches (const RascalResult &res, std::ostream &os)
RDKIT_RASCALMCES_EXPORT void | printAtomMatches (const RascalResult &res, std::ostream &os)
RDKIT_RASCALMCES_EXPORT void | printScores (const RascalResult &res, std::ostream &os)
RDKIT_RASCALMCES_EXPORT double | johnsonSimilarity (const std::vector< std::pair< int, int > > &bondMatches, const std::vector< std::pair< int, int > > &atomMatches, const RDKit::ROMol &mol1, const RDKit::ROMol &mol2)

## Function Documentation

## ◆ buildProximityGraph()

std::vector< std::vector< ClusNode > > RDKit::RascalMCES::details::buildProximityGraph | ( | const std::vector< std::shared_ptr< ROMol > > & | mols,
|  | const RascalClusterOptions & | clusOpts )

## ◆ cleanSmarts()

RDKIT_RASCALMCES_EXPORT void RDKit::RascalMCES::details::cleanSmarts | ( | std::string & | smarts,
|  | const std::string & | equivalentAtoms )

References RDKIT_RASCALMCES_EXPORT.

## ◆ extractClique()

RDKIT_RASCALMCES_EXPORT void RDKit::RascalMCES::details::extractClique | ( | const std::vector< unsigned int > & | clique,
|  | const std::vector< std::pair< int, int > > & | vtxPairs,
|  | bool | swapped,
|  | std::vector< std::pair< int, int > > & | bondMatches )

References RDKIT_RASCALMCES_EXPORT.

## ◆ getBondLabels()

RDKIT_RASCALMCES_EXPORT void RDKit::RascalMCES::details::getBondLabels | ( | const RDKit::ROMol & | mol1,
|  | const RDKit::ROMol & | mol2,
|  | const RascalOptions & | opts,
|  | std::vector< unsigned int > & | bondLabels1,
|  | std::vector< unsigned int > & | bondLabels2 )

References RDKIT_RASCALMCES_EXPORT.

## ◆ johnsonSimilarity()

RDKIT_RASCALMCES_EXPORT double RDKit::RascalMCES::details::johnsonSimilarity | ( | const std::vector< std::pair< int, int > > & | bondMatches,
|  | const std::vector< std::pair< int, int > > & | atomMatches,
|  | const RDKit::ROMol & | mol1,
|  | const RDKit::ROMol & | mol2 )

References RDKIT_RASCALMCES_EXPORT.

## ◆ printAtomMatches()

RDKIT_RASCALMCES_EXPORT void RDKit::RascalMCES::details::printAtomMatches | ( | const RascalResult & | res,
|  | std::ostream & | os )

References RDKIT_RASCALMCES_EXPORT.

## ◆ printBondMatches()

RDKIT_RASCALMCES_EXPORT void RDKit::RascalMCES::details::printBondMatches | ( | const RascalResult & | res,
|  | std::ostream & | os )

References RDKIT_RASCALMCES_EXPORT.

## ◆ printScores()

RDKIT_RASCALMCES_EXPORT void RDKit::RascalMCES::details::printScores | ( | const RascalResult & | res,
|  | std::ostream & | os )

References RDKIT_RASCALMCES_EXPORT.

## ◆ resultCompare()

RDKIT_RASCALMCES_EXPORT bool RDKit::RascalMCES::details::resultCompare | ( | const RascalResult & | res1,
|  | const RascalResult & | res2 )

References RDKIT_RASCALMCES_EXPORT.

## ◆ tier1Sim()

RDKIT_RASCALMCES_EXPORT double RDKit::RascalMCES::details::tier1Sim | ( | const RDKit::ROMol & | mol1,
|  | const RDKit::ROMol & | mol2,
|  | std::map< int, std::vector< std::pair< int, int > > > & | degSeqs1,
|  | std::map< int, std::vector< std::pair< int, int > > > & | degSeqs2 )

References RDKIT_RASCALMCES_EXPORT.

## ◆ tier2Sim()

RDKIT_RASCALMCES_EXPORT double RDKit::RascalMCES::details::tier2Sim | ( | const ROMol & | mol1,
|  | const ROMol & | mol2,
|  | const std::map< int, std::vector< std::pair< int, int > > > & | degSeqs1,
|  | const std::map< int, std::vector< std::pair< int, int > > > & | degSeqs2,
|  | const std::vector< unsigned int > & | bondLabels1,
|  | const std::vector< unsigned int > & | bondLabels2 )

References RDKIT_RASCALMCES_EXPORT.